import 'package:flutter/material.dart';
import 'package:tm_app/core/theme/colors.dart';
import 'package:tm_app/core/utils/size_config.dart';
import 'package:tm_app/views/home/strings/home_strings.dart';

class TenderCardProgressBar extends StatelessWidget {
  const TenderCardProgressBar({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Text(
              HomeStrings.tenderMatchProfile,
              style: TextStyle(
                fontSize: 12.0.sp(),
                color: AppColors.grey80,
                fontWeight: FontWeight.w400,
              ),
            ),
            Text(
              '75%',
              style: TextStyle(
                fontSize: 12.0.sp(),
                fontWeight: FontWeight.w600,
                color: AppColors.secondaryTextColor,
              ),
            ),
          ],
        ),
        SizedBox(height: 6.0.h()),

        ClipRRect(
          borderRadius: BorderRadius.circular(4),
          child: LinearProgressIndicator(
            value: 0.75,
            backgroundColor: AppColors.grey20,
            valueColor: const AlwaysStoppedAnimation<Color>(
              AppColors.secondary50,
            ),
            minHeight: 6.0.h(),
          ),
        ),
      ],
    );
  }
}
